Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-26280

Java 10 Support Is Missing From Eclipse Project Facets

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Critical
    • Resolution: Done
    • 4.6.0.Final
    • 4.9.0.Final
    • server
    • None
    • Hide

      Steps to reproduce:
      Install Java 10, Eclipse Photon, and Wildfly 13
      Create a Dynamic Web Project in Eclipse.
      Navigate to Project/properties/Project Facets and note that Java 10 is available.
      Install the JBoss Tools for Photon using Marketplace.
      Create Eclipse Wildfly server at Preferences/Servers/Runtime Environments
      Navigate to Project/properties/Project Facets again.
      Select Wildfly 13 as the Runtime for the project.
      Try to change the Java version in the project facet.

      Expected behavior.
      Java 10 is available. Photon and Wildfly 13 both support Java 10. It is expected that JBoss tool does as well.

      Actual behavior.
      Only Java 9 is available and Eclipse behavior is erratic and broken trying to reconcile a project and workspace on Java 10 while the facet is 9.

      Show
      Steps to reproduce: Install Java 10, Eclipse Photon, and Wildfly 13 Create a Dynamic Web Project in Eclipse. Navigate to Project/properties/Project Facets and note that Java 10 is available. Install the JBoss Tools for Photon using Marketplace. Create Eclipse Wildfly server at Preferences/Servers/Runtime Environments Navigate to Project/properties/Project Facets again. Select Wildfly 13 as the Runtime for the project. Try to change the Java version in the project facet. Expected behavior. Java 10 is available. Photon and Wildfly 13 both support Java 10. It is expected that JBoss tool does as well. Actual behavior. Only Java 9 is available and Eclipse behavior is erratic and broken trying to reconcile a project and workspace on Java 10 while the facet is 9.

    Description

      Java 10 is not supported from Eclipse/Project Facets and this breaks Eclipse trying to reconcile the different Java versions between the workspace and the project.

      Attachments

        Activity

          People

            rob.stryker Rob Stryker (Inactive)
            raytucson_jira Ray Ramos (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: